// -*- mode: jsonc -*-
{
    "layer": "top",
    "height": 30,
    "spacing": 4,
    "margin": 10,
    "modules-left": [
        "custom/arch",
        "clock",
        "cpu",
        "temperature",
        "memory",
        "disk#disk2",
        "disk"
    ],
    "modules-center": [
        "hyprland/workspaces",
    ],
    "modules-right": [
        "network",
        "pulseaudio",
        "backlight",
        "battery",
        "tray",
        "group/group-power"
    ],
    "tray": {
        // "icon-size": 21,
        "spacing": 10
    },
    "clock": {
        "timezone": "Europe/Paris",
        "format": "{:%H:%M | %Y-%m-%d}",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
    },
    "cpu": {
        "format": "{usage}% ",
        "tooltip": false
    },
    "memory": {
        "format": "{}% "
    },
    "temperature": {
        // "thermal-zone": 8,
        "hwmon-path": "/sys/class/hwmon/hwmon4/temp1_input",
        "critical-threshold": 80,
        "interval": 10,
        // "format-critical": "{temperatureC}°C {icon}",
        "format": "{temperatureC}°C {icon}",
        "format-icons": ["", "", ""]
    },
    "backlight": {
        // "device": "acpi_video1",
        "format": "{percent}% {icon}",
        "format-icons": ["", "", "", "", "", "", "", "", ""]
    },
    "battery": {
        "states": {
            "good": 95,
            "warning": 30,
            "critical": 15
        },
        "format": "{capacity}% {icon}",
        "format-full": "{capacity}% {icon}",
        "format-charging": "{capacity}% ",
        "format-plugged": "{capacity}% ",
        "format-alt": "{time} {icon}",
        // "format-good": "", // An empty format will hide the module
        // "format-full": "",
        "format-icons": ["", "", "", "", ""]
    },
    "disk": {
        "interval": 30,
        "format": "{free} ",
        "path": "/home"
    },
    "disk#disk2": {
        "interval": 30,
        "format": "{free} ",
        "path": "/"
    },
    "network": {
        // "interface": "wlp2*", // (Optional) To force the use of this interface
        "format-wifi": "{ipaddr}/{cidr} ({signalStrength}%) ",
        "format-ethernet": "{ipaddr}/{cidr} ",
        "tooltip-format": "{ifname} via {gwaddr} ",
        "format-linked": "{ifname} (No IP) ",
        "format-disconnected": "Disconnected ⚠",
        "tooltip": true 
    },
    "pulseaudio": {
        "scroll-step": 5, // %, can be a float
        "format": "{volume}% {icon} {format_source}",
        "format-bluetooth": "{volume}% {icon} {format_source}",
        "format-bluetooth-muted": " {icon} {format_source}",
        "format-muted": " {format_source}",
        "format-source": "{volume}% ",
        "format-source-muted": "",
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["", "", ""]
        },
        "on-click": "pavucontrol"
    },
    "group/group-power": {
        "orientation": "inherit",
        "drawer": {
            "transition-duration": 500,
            "children-class": "not-power",
            "transition-left-to-right": false,
        },
        "modules": [
            "custom/power", // First element is the "group leader" and won't ever be hidden
            "custom/quit",
            "custom/lock",
            "custom/reboot",
        ]
    },
    "custom/quit": {
        "format": "󰗼",
        "tooltip": false,
        "on-click": "hyprctl dispatch exit"
    },
    "custom/lock": {
        "format": "󰍁",
        "tooltip": false,
        "on-click": "hyprlock"
    },
    "custom/reboot": {
        "format": "󰜉",
        "tooltip": false,
        "on-click": "reboot"
    },
    "custom/power": {
        "format": "",
        "tooltip": false,
        "on-click": "shutdown now"
    },
    "hyprland/workspaces": {
      "format": "{icon}",
      "on-click": "activate",
      "format-icons": {
        "default": ""
      },
      "sort-by-number": true
    },
    "custom/arch": {
        "format": "\udb82\udcc7",
        "on-click": "wofi --show drun"
    }
}
